Bug 790779 - Make avahi failure on startup non-fatal
Make avahi failure on startup non-fatal
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.2
Unspecified Unspecified
urgent Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
: ZStream
Depends On: 785269
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 06:35 EST by RHEL Product and Program Management
Modified: 2012-02-28 10:01 EST (History)
15 users (show)

See Also:
Fixed In Version: libvirt-0.9.4-23.el6_2.5
Doc Type: Bug Fix
Doc Text:
Previously, if the libvirt package was built with avahi support, libvirt required the avahi package to be installed on the system as a prerequisite for its own installation. If the avahi package could not be installed on the system due to security concerns, installation of libvirt failed. This update modifies the libvirt.spec file to require only the avahi-libs package. The libvirt package is now successfully installed and libvirtd starts as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 10:01:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2012-02-15 06:35:05 EST
This bug has been copied from bug #785269 and has been proposed
to be backported to 6.2 z-stream (EUS).
Comment 6 xhu 2012-02-22 00:25:04 EST
Verify it with libvirt-0.9.4-23.el6_2.5 and it passed.
The steps can be seen in comment 18 of bug 785269.
Comment 7 Miroslav Svoboda 2012-02-27 10:33:34 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, if the libvirt package was built with avahi support, libvirt required the avahi package to be installed on the system as a prerequisite for its own installation. If the avahi package could not be installed on the system due to security concerns, installation of libvirt failed. This update modifies the libvirt.spec file to require only the avahi-libs package. The libvirt package is now successfully installed and libvirtd starts as expected.
Comment 8 errata-xmlrpc 2012-02-28 10:01:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0342.html

Note You need to log in before you can comment on or make changes to this bug.